- name: "Melawy Linux required (hidden) (base_system) (base_and_developer_edition) (full netinstall)"
  description: "needed Melawy Linux packages"
  hidden: true
  expanded: false
  selected: true
  critical: true
  packages:
    - archlinux-keyring
    - melawy-linux-keyring
    - melawy-linux-mirrorlist
    - cachyos-keyring
    - cachyos-mirrorlist
    - arcolinux-keyring
    - arcolinux-mirrorlist-git
    - chaotic-keyring
    - chaotic-mirrorlist
    - endeavouros-keyring
    - endeavouros-mirrorlist
    - manjaro-keyring

    - linux-atm
    - linux-firmware
    - linux-firmware-marvell
    - linux-api-headers
    - linux-cachyos
    - linux-cachyos-headers

    - base
    - base-devel
    # - coreutils-hybrid-git
    - appstream
    - busybox
    - edk2-shell
    - chwd
    - dracut
    - gptfdisk
    - iptables-nft
    - ipset
    - libnetfilter_queue
    - zapret-git

    - r8168-dkms
    - rtl8821cu-morrownr-dkms-git

    - aic94xx-firmware
    - ast-firmware

    - upd72020x-fw
    - wd719x-firmware

    - pacman
    - pacman-contrib
    - pacman-mirrorlist
    - pacseek
    - pacutils
    - plymouth
    - refind
    - systemd-ukify
    - xf86-input-elographics
    - xf86-input-evdev
    - xf86-input-synaptics
    - xf86-input-void
    - xf86-video-fbdev
    - fwupd
    - fwupd-efi
    - sbctl

    - melawy-branding
    - melawy-check-reboot-required
    - melawy-dracut-initramfs
    - melawy-dracut-ukify
    - dracut-luks-autounlock
    - melawy-etc-skel-std-powerman-kvantum
    - melawy-skel-root
    - melawy-refind-menu-generator
    - melawy-linux-welcome

- name: "Performance (base_system) (base_and_developer_edition) (full netinstall)"
  description: "needed Melawy Linux packages"
  hidden: true
  expanded: false
  selected: true
  critical: true
  packages:
    - ananicy-cpp
    - cachyos-ananicy-rules-git
    - cachyos-settings
    - dbus-broker
    - lua-filesystem
    - powersave-tweaks
    - preload
    - realtime-privileges
    - systemd-oomd-defaults
    - zram-generator

- name: "Terminal-Base + Common packages"
  description: "Recommended. Don't change unless you know what you're doing."
  hidden: true
  expanded: false
  selected: true
  critical: true
  subgroups:

    - name: "CPU specific microcode update packages (base_system) (base_and_developer_edition) (full netinstall)"
      description: "Microcode update image for AMD and Intel CPUs"
      selected: true
      critical: true
      packages:
        - amd-ucode
        - intel-ucode

    - name: "Virtual machines (base_system) (base_and_developer_edition) (full netinstall)"
      description: "Required if OS run in virtual environment"
      selected: true
      packages:
        - hyperv
        - libvirt
        - open-vm-tools
        - qemu-guest-agent
        - spice-vdagent
        - virtualbox-guest-utils
        - xf86-input-vmmouse
        - xf86-video-qxl
        - xf86-video-vmware

    - name: "Filesystem (base_system) (base_and_developer_edition) (full netinstall)"
      description: "Filesystem tools and applications"
      selected: true
      packages:
        - bcachefs-tools
        - btrfs-progs
        - cryfs
        - dosfstools
        - e2fsprogs
        - efibootmgr
        - efitools
        - encfs
        - exfatprogs
        - f2fs-tools
        - fatresize
        - gocryptfs
        - haveged
        - jfsutils
        - kpmcore
        - lvm2
        - mtpfs
        - nfs-utils
        - nilfs-utils
        - ntfs-3g
        - nvme-cli
        - open-iscsi
        - pcsclite
        - samba-support
        - sbsigntools
        - smartmontools
        - testdisk
        - tracker3-miners
        - udftools
        - udiskie
        - udisks2
        - usbmuxd
        - xfsprogs

    - name: "BTRFS filesystem (base_system) (base_and_developer_edition) (full netinstall)"
      description: "BTRFS filesystem tools and applications"
      selected: true
      packages:
        - btrfs-assistant
        - btrfs-snapshots-git
        - btrfsmaintenance
        - timeshift
        - timeshift-autosnap

    - name: "Hardware (base_system) (base_and_developer_edition) (full netinstall)"
      description: "Hardware support libs and firmware"
      selected: true
      packages:
        - dmidecode
        - dmraid
        - hdparm
        - lsscsi
        - mtools
        - sdparm
        - sg3_utils
        - sof-firmware

    - name: "Power (base_system) (base_and_developer_edition) (full netinstall)"
      description: "Powermanagement support"
      selected: true
      packages:
        - cpupower
        - tuned
        - tuned-ppd
        - upower

    - name: "Terminal applications (base_system) (base_and_developer_edition) (full netinstall)"
      description: "General terminal tools and applications"
      selected: true
      packages:
        - bash-completion
        - bat
        - beep
        - btop
        - cloud-init
        - cronie
        - cryptsetup
        - device-mapper
        - dex
        - dialog
        - diffutils
        - duf
        - expect
        - fastfetch
        - find-the-command
        - findutils
        - fsarchiver
        - git
        - glances
        - gpm
        - hardinfo2
        - htop
        - hw-probe
        - hwdetect
        - hwinfo
        - iftop
        - inetutils
        - intltool
        - inxi
        - iotop-c
        - kdialog
        - less
        - libfido2
        - libusb-compat
        - logrotate
        - lolcat
        - lsb-release
        - lshw
        - lynx
        - man-db
        - man-pages
        - mc
        - mdadm
        - mlocate
        - most
        - nano
        - nano-syntax-highlighting
        - neofetch
        - neovim
        - nmap
        - ntp
        - openbsd-netcat
        - parallel
        - powerline
        - powerline-common
        - powerline-fonts
        - procps-ng
        - pv
        - python-defusedxml
        - python-packaging
        - python-pyparted
        - ripgrep
        - rsync
        - s-nail
        - screen
        - screenfetch
        - sed
        - sshpass
        - sudo
        - sysfsutils
        - syslog-ng
        - tcpdump
        - terminus-font
        - texinfo
        - the_silver_searcher
        - tldr
        - tmux
        - tpm2-tools
        - tpm2-tss
        - translate-shell
        - tree
        - ttf-terminus-nerd
        - unace
        - unrar
        - unzip
        - usbutils
        - ventoy-bin
        - wget
        - wget2
        - which
        - xed
        - xmlstarlet
        - xz
        - yad
        - zenity

    - name: "Network (base_system) (base_and_developer_edition) (full netinstall)"
      description: "Network apps drivers and tools"
      selected: true
      packages:
        - avahi
        - b43-fwcutter
        - bridge-utils
        - broadcom-wl-dkms
        - darkhttpd
        - dhclient
        - dhcpcd
        - dnscrypt-proxy
        - dnsmasq
        - dnsutils
        - ethtool
        - hiddify-next-bin
        - iw
        - iwd
        - ldns
        - lftp
        - libmicrohttpd
        - libmtp
        - mbedtls
        - mbedtls2
        - mobile-broadband-provider-info
        - modemmanager
        - nbd
        - ndisc6
        - net-tools
        - netctl
        - networkmanager
        - networkmanager-l2tp
        - networkmanager-openconnect
        - networkmanager-openvpn
        - networkmanager-pptp
        - networkmanager-qt
        - networkmanager-qt5
        - networkmanager-strongswan
        - networkmanager-vpnc
        - nss-mdns
        - openconnect
        - openssh
        - openvpn
        - ppp
        - pptpclient
        - rp-pppoe
        - sequoia-sq
        - shadowsocks-electron-bin
        - smbclient
        - sshguard
        - systemd-resolvconf
        - green-tunnel-bin
        - tor
        - tor-router
        - obfs4proxy
        - snowflake-pt-client-git
        - webtunnel-git
        - lyrebird-proxy
        - traceroute
        - usb_modeswitch
        - vpnc
        - whois
        - wireguard-tools
        - wireless-regdb
        - wireless_tools
        - wpa_supplicant
        - wvdial
        - xl2tpd
        - amneziawg-dkms
        - amneziawg-go
        - amneziawg-tools

    - name: "Audio (base_system) (base_and_developer_edition) (full netinstall)"
      description: "Audio handling tools apps and libs"
      selected: true
      packages:
        - alsa-firmware
        - alsa-lib
        - alsa-plugins
        - alsa-utils
        - lib32-pipewire
        - pavucontrol
        - pipewire
        - pipewire-alsa
        - pipewire-jack
        - pipewire-pulse
        - pipewire-support
        - rtkit
        - wireplumber

    - name: "X11-system (base_system) (base_and_developer_edition) (full netinstall)"
      description: "Default X11 system"
      selected: true
      packages:
        - libwnck3
        - mesa
        - mesa-utils
        - xf86-input-libinput
        - xorg-server
        - xorg-xdpyinfo
        - xorg-xhost
        - xorg-xinit
        - xorg-xinput
        - xorg-xkill
        - xorg-xrandr
        - xorg-xrdb
        - xsettingsd
        - picom
        - xcompmgr

    - name: "V4L2 drivers (base_system) (base_and_developer_edition) (full netinstall)"
      description: "V4L2 video, webcamera drivers"
      selected: true
      packages:
        - v4l2loopback-dkms

    - name: "Firewall (base_system) (base_and_developer_edition) (full netinstall)"
      description: "Firewall installed and enabled"
      selected: true
      critical: true
      packages:
        - firewalld
        - python-capng
        - python-pyqt5

    - name: "Fonts (base_system) (base_and_developer_edition) (full netinstall)"
      description: "Melawy Linux font selection"
      selected: true
      packages:
        - awesome-terminal-fonts
        - cantarell-fonts
        - freetype2
        - noto-color-emoji-fontconfig
        - noto-fonts
        - noto-fonts-cjk
        - noto-fonts-emoji
        - noto-fonts-extra
        - opendesktop-fonts
        - ttf-droid
        - ttf-font-awesome
        - ttf-hack
        - ttf-hack-nerd
        - ttf-ms-fonts
        - ttf-noto-nerd
        - ttf-twemoji

    - name: "Fonts (base_system) (base_and_developer_edition) (full netinstall)"
      description: "Melawy Linux font selection"
      selected: true
      packages:
        - adobe-source-code-pro-fonts
        - adobe-source-han-sans-cn-fonts
        - adobe-source-han-sans-jp-fonts
        - adobe-source-han-sans-kr-fonts
        - awesome-terminal-fonts
        - cantarell-fonts
        - freetype2
        - noto-color-emoji-fontconfig
        - noto-fonts
        - noto-fonts-cjk
        - noto-fonts-emoji
        - otf-fira-mono
        - otf-fira-sans
        - otf-firamono-nerd
        - ttf-bitstream-vera
        - ttf-dejavu
        - ttf-dejavu-nerd
        - ttf-fira-code
        - ttf-fira-sans
        - ttf-firacode-nerd
        - ttf-hack
        - ttf-hack-nerd
        - ttf-jetbrains-mono
        - ttf-jetbrains-mono-nerd
        - ttf-liberation
        - ttf-liberation-mono-nerd
        - ttf-ms-fonts
        - ttf-nerd-fonts-symbols
        - ttf-nerd-fonts-symbols-common
        - ttf-nerd-fonts-symbols-mono
        - ttf-noto-nerd
        - ttf-opensans
        - ttf-roboto
        - ttf-roboto-mono
        - ttf-roboto-mono-nerd
        - ttf-sourcecodepro-nerd
        - ttf-twemoji
        - ttf-ubuntu-font-family
        - ttf-ubuntu-mono-nerd
        - ttf-ubuntu-nerd

    - name: "Spell (base_system) (base_and_developer_edition) (full netinstall)"
      description: "Spell apps"
      selected: true
      packages:
        - aspell
        - aspell-$LOCALE
        - aspell-en
        - hunspell
        - hunspell-$LOCALE
        - hunspell-en_us

- name: "Melawy Linux branding"
  description: "Needed Melawy Linux packages"
  hidden: true
  selected: true
  subgroups:

    - name: "Refind (base_system) (base_and_developer_edition) (full netinstall)"
      description: "Boot loader screen"
      selected: true
      packages:
        - melawy-refind-theme-fenek
        - melawy-refind-theme-lera-sugar
        - melawy-refind-theme-nier-a2

    - name: "Plymouth (base_system) (base_and_developer_edition) (full netinstall)"
      description: "Boot screen"
      selected: true
      packages:
        - melawy-plymouth-theme-fenek
        - melawy-plymouth-theme-lera-sugar
        - melawy-plymouth-theme-nier-a2

    - name: "Plymouth select (1 from list)"
      description: "Boot screen"
      selected: true
      subgroups:

        - name: "Nier A2 theme"
          selected: true
          packages:
            - melawy-plymouth-theme-hard-install-nier-a2
            - melawy-refind-theme-hard-install-nier-a2

        - name: "Lera sugar theme"
          selected: false
          packages:
            - melawy-plymouth-theme-hard-install-lera-sugar
            - melawy-refind-theme-hard-install-lera-sugar

        - name: "Fenek theme"
          selected: false
          packages:
            - melawy-plymouth-theme-hard-install-fenek
            - melawy-refind-theme-hard-install-fenek

    - name: "Window decorators (base_system) (base_and_developer_edition) (full netinstall)"
      selected: true
      packages:
        - klassy
        - klassy-qt5

    - name: "Base desktop theme (base_system) (base_and_developer_edition) (full netinstall)"
      selected: true
      packages:
        - melawy-icon-theme-kde6
        - melawy-theme-kde6
        - melawy-plymouth-theme
        - melawy-refind-theme

    - name: "Desktop theme Win11 (full netinstall)"
      selected: false
      packages:
        - melawy-win11-icon-theme
        - melawy-win11-icon-theme-special
        - melawy-win11-icon-theme-white
        - melawy-kde-theme-win11-kde6
        - melawy-kde-theme-win12-kde6

    - name: "Desktop theme Colloid (full netinstall)"
      selected: false
      packages:
        - colloid-cursors-git
        - colloid-icon-theme-git
        - colloid-gtk-theme-git
        - colloid-kde-theme-git

    - name: "SDDM, KDE Plasma Look-and-feel, Wallpapers (base_system) (base_and_developer_edition) (full netinstall)"
      selected: true
      packages:
        - melawy-kde-theme-nier-a2-kde6
        - melawy-kde-theme-lera-sugar-kde6
        - melawy-kde-theme-fenek-kde6

    - name: "Cursors (base_system) (base_and_developer_edition) (full netinstall)"
      selected: true
      packages:
        - melawy-purple-dark-cursors
        - melawy-purple-dark-default-cursors
        - melawy-purple-light-cursors
        - melawy-purple-light-default-cursors
        - melawy-red-dark-cursors
        - melawy-red-dark-default-cursors
        - melawy-red-light-cursors
        - melawy-red-light-default-cursors

    - name: "Updater (base_system) (base_and_developer_edition) (full netinstall)"
      selected: true
      packages:
        - melawy-linux-updater
        - melawy-linux-updater-tray

- name: "Desktop integration"
  description: "Useful helper tools and libs for desktop usage"
  expanded: true
  selected: true
  subgroups:

    - name: "Fix applications style (base_system) (base_and_developer_edition) (full netinstall)"
      description: "Desktop environment"
      selected: true
      packages:
        - adw-gtk-theme
        - gnome-settings-daemon
        - gnome-themes-extra
        - gsettings-desktop-schemas
        - gsettings-qt
        - gtk-engine-murrine
        - kde-gtk-config
        - lxappearance-gtk3
        - xdg-desktop-portal
        - xdg-desktop-portal-kde
        - hardcode-fixer-git

    - name: "KDE Plasma (base_system) (base_and_developer_edition) (full netinstall)"
      description: "Desktop environment"
      selected: true
      packages:
        - accountsservice
        - akonadi
        - akonadi-calendar
        - akonadi-calendar-tools
        - akonadi-contacts
        - akonadi-import-wizard
        - akonadi-search
        - akonadiconsole
        - ark
        - audiocd-kio
        - blueberry
        - bluedevil
        - breeze
        - breeze-gtk
        - dolphin
        - dolphin-plugins
        - doublecmd-qt6
        - drkonqi
        - feh
        - ffmpegthumbnailer
        - ffmpegthumbs
        - file-roller
        - flatpak-kcm
        - flatpak-xdg-utils
        - galculator
        - gksu
        - glfw
        - gnome-firmware
        - gnome-keyring
        - gparted
        - grsync
        - gst-libav
        - gst-plugin-pipewire
        - gst-plugins-bad
        - gst-plugins-base
        - gst-plugins-good
        - gst-plugins-ugly
        - gstreamer
        - gstreamer-meta
        - gwenview
        - ibus
        - ibus-typing-booster
        - karchive5
        - kate
        - kcalc
        - kde-cli-tools
        - kde-gtk-config
        - kde-system-meta
        - kdeconnect
        - kdegraphics-thumbnailers
        - kdenetwork-filesharing
        - kdeplasma-addons
        - kfind
        - kgamma
        - kimageformats
        - kimageformats5
        - kinfocenter
        - kinit
        - kio
        - kio-admin
        - kio-extras
        - kio-fuse
        - kmail
        - kmail-account-wizard
        - konsole
        - kscreen
        - ksshaskpass
        - ksystemlog
        - kvantum
        - kwallet-pam
        - kwalletmanager
        - kwayland-integration
        - libappindicator-gtk3
        - malcontent
        - maliit-keyboard
        - media-downloader
        - mintstick-git
        - network-manager-applet
        - okular
        - p7zip
        - partitionmanager
        - plasma
        - plasma-browser-integration
        - plasma-desktop
        - plasma-disks
        - plasma-firewall
        - plasma-integration
        - plasma-nm
        - plasma-pa
        - plasma-systemmonitor
        - plasma-thunderbolt
        - plasma-vault
        - plasma-wayland-protocols
        - plasma-workspace
        - plasma-workspace-wallpapers
        - plasma5-integration
        - plymouth-kcm
        - polkit
        - polkit-kde-agent
        - polkit-qt5
        - polkit-qt6
        - poppler-glib
        - poppler-qt5
        - poppler-qt6
        - powerdevil
        - qt5-imageformats
        - qt5ct
        - qt6-imageformats
        - sddm
        - sddm-kcm
        - solid
        - spectacle
        - systemd-kcm
        - tumbler
        - variety
        - xdg-desktop-portal
        - xdg-desktop-portal-kde
        - xdg-user-dirs
        - xdg-user-dirs-gtk
        - xdg-utils

    - name: "Package management (base_system) (base_and_developer_edition) (full netinstall)"
      description: "Packages tools"
      selected: true
      packages:
        - appimagelauncher
        - downgrade
        - expac
        - flatpak
        - melawy-pamac-helper
        - ocs-url
        - pace
        - packagekit-qt5
        - packagekit-qt6
        - paclast
        - pamac
        - paru
        - pkgfile
        - rate-mirrors-bin
        - rebuild-detector
        - reflector
        - snapd
        - snapd-glib
        - sofirem-git
        - topgrade
        - yay

    - name: "Browsers and language package"
      description: "Add firefox and language pack if possible and other browsers"
      expanded: true
      selected: true
      subgroups:

        - name: "Firefox (base_system) (base_and_developer_edition) (full netinstall)"
          description: "Add firefox and language pack"
          selected: true
          packages:
              - firefox
              - firefox-i18n-$LOCALE
              - profile-sync-daemon
              - tor-browser-bin

        - name: "Firefox (full netinstall)"
          description: "Add firefox and language pack"
          selected: false
          packages:
              - firefox-developer-edition
              - firefox-developer-edition-i18n-$LOCALE
              - profile-sync-daemon

        - name: "Other (full netinstall)"
          description: "Add browsers"
          selected: false
          packages:
              - google-chrome
              - brave-bin
              - profile-sync-daemon

        - name: "Other other ... (full netinstall)"
          description: "Add browsers"
          selected: false
          packages:
              - opera
              - vivaldi
              - profile-sync-daemon

    - name: "Office"
      description: "Add the office applications"
      expanded: true
      selected: true
      subgroups:

        - name: "LibreOffice (base_system) (base_and_developer_edition) (full netinstall)"
          selected: true
          packages:
            - libreoffice-fresh
            - libreoffice-fresh-$LOCALE
            - libreoffice-extension-languagetool

        - name: "OnlyOffice (full netinstall)"
          selected: false
          packages:
            - onlyoffice-bin

        - name: "FreeOffice (full netinstall)"
          selected: false
          packages:
            - freeoffice

    - name: "Media players (base_system) (base_and_developer_edition) (full netinstall)"
      description: "Add the audio players"
      selected: true
      packages:
        - ffmpeg-obs
        - vlc-luajit

    - name: "Media players (base_system) (base_and_developer_edition) (full netinstall)"
      description: "Add the audio players"
      selected: true
      packages:
        - audacious
        - elisa
        - ffmpeg-obs
        - vlc-luajit

    - name: "Picture editors (base_system) (base_and_developer_edition) (full netinstall)"
      description: "Add the photo and picture editors"
      selected: true
      packages:
        - gimp
        - gimp-help-$LOCALE
        - gvfs
        - gvfs-afc
        - gvfs-goa
        - gvfs-google
        - gvfs-gphoto2
        - gvfs-mtp
        - gvfs-nfs
        - gvfs-smb
        - inkscape
        - libdvdcss
        - libgsf
        - libopenraw

    - name: "Audio recorder (base_system) (base_and_developer_edition) (full netinstall)"
      description: "Add the audio recorders"
      selected: true
      packages:
        - audacity
        - audio-recorder

    - name: "Video editors (base_system) (base_and_developer_edition) (full netinstall)"
      description: "Add the video editors"
      selected: true
      packages:
        - avidemux-cli
        - avidemux-qt

    - name: "Media editors (full netinstall)"
      description: "Add the photo and picture editors"
      selected: false
      packages:
        - blender
        - kdenlive
        - krita
        - openshot
        - pinta
        - pitivi

    - name: "Code IDE and programming language package (base_and_developer_edition) (full netinstall)"
      description: "Add Code IDE and programming language package"
      selected: true
      packages:
        - android-emulator
        - android-ndk
        - android-platform
        - android-sdk
        - android-sdk-build-tools
        - android-sdk-cmdline-tools-latest
        - android-tools
        - ansible-language-server
        - apksigcopier
        - base-devel
        - bash-language-server
        - boost
        - boost-libs
        - bpython
        - ccache
        - ckbcomp
        - clang
        - cmake
        - codelldb
        - dbeaver
        - doxygen
        - eslint-language-server
        - extra-cmake-modules
        - fakeroot
        - flutter-bin
        - gcc
        - gcc-libs
        - gdb
        - git
        - git-lfs
        - go
        - go-tools
        - icu69
        - jdk-openjdk
        - jq
        - lld
        - lldb
        - llvm
        - llvm-libs
        - lua51
        - luarocks
        - lua-language-server
        - make
        - mold
        - mypy
        - nodejs
        - npm
        - perl
        - python
        - python-lsp-server
        - python-pip
        - python-poetry
        - python-pytest-ruff
        - python-ruff
        - ruff
        - ruff-lsp
        - rust-analyzer
        - rust-musl
        - rustup
        - sccache
        - sqlitebrowser
        - sublime-text-4
        - tailwindcss-language-server
        - typescript
        - typescript-language-server
        - uv
        - visual-studio-code-bin
        - vscode-json-languageserver
        - vue-language-server
        - yaml-language-server
        - yarn
        - zed

    - name: "Code IDE and programming language package (full netinstall)"
      description: "Add Code IDE and programming language package"
      selected: false
      packages:
        - github-cli
        - github-desktop

    - name: "Mail applications"
      description: "Add the mail applications"
      expanded: true
      selected: true
      subgroups:

        - name: "Mailspring (base_system) (base_and_developer_edition) (full netinstall)"
          description: "Add the mailspring"
          selected: false
          packages:
            - mailspring

        - name: "Thunderbird (full netinstall)"
          description: "Add the thunderbird"
          selected: false
          packages:
            - thunderbird
            - thunderbird-i18n-$LOCALE

    - name: "Chat applications (base_system) (base_and_developer_edition) (full netinstall)"
      description: "Add the mail applications"
      selected: true
      packages:
        - legcord-bin
        - telegram-desktop-bin
        - zoom

    - name: "Chat applications (full netinstall)"
      description: "Add the mail applications"
      selected: false
      packages:
        - skypeforlinux-bin

    - name: "Passwords / keys applications (base_system) (base_and_developer_edition) (full netinstall)"
      description: "Add the mail applications"
      selected: true
      packages:
        - keepassxc
        - kleopatra

    - name: "Desktop applications (base_and_developer_edition) (full netinstall)"
      description: "Add the desktop applications"
      selected: true
      packages:
        - buildtorrent
        - mktorrent

    - name: "Desktop applications (base_system) (base_and_developer_edition) (full netinstall)"
      description: "Add the desktop applications"
      selected: true
      packages:
        - obsidian
        - qbittorrent
        - transmission-qt
        - yakuake

    - name: "Desktop applications (full netinstall)"
      description: "Add the desktop applications"
      selected: false
      packages:
        - corectrl
        - gwe

    - name: "Desktop applications (base_and_developer_edition) (full netinstall)"
      description: "Add the desktop applications"
      selected: true
      packages:
        - filezilla
        - meld

    - name: "Desktop applications (base_system) (base_and_developer_edition) (full netinstall)"
      description: "Add the desktop applications"
      selected: true
      packages:
        - anydesk-bin
        - ffmpeg-obs
        - obs-studio-tytan652
        - qbittorrent
        - vlc-luajit
        - yakuake
        - yandex-disk
        - yandex-disk-indicator

    - name: "Bluetooth (base_system) (base_and_developer_edition) (full netinstall)"
      description: "Bluetooth support"
      selected: true
      packages:
        - bluetooth-support
        - bluez
        - bluez-hid2hci
        - bluez-libs
        - bluez-utils

    - name: "Printing support (base_system) (base_and_developer_edition) (full netinstall)"
      description: "Support for printing (Cups)"
      selected: true
      packages:
        - cups
        - cups-browsed
        - cups-filters
        - cups-pdf
        - foomatic-db
        - foomatic-db-engine
        - foomatic-db-gutenprint-ppds
        - foomatic-db-nonfree
        - foomatic-db-nonfree-ppds
        - foomatic-db-ppds
        - ghostscript
        - gsfonts
        - gutenprint
        - hplip
        - print-manager
        - printer-support
        - splix
        - system-config-printer

    - name: "HP printer/scanner support (full netinstall)"
      description: "Packages for HP printer/scanner"
      selected: false
      packages:
        - hplip
        - python-pyqt5
        - python-reportlab
        - scanner-support
        - simple-scan

    - name: "Containers"
      description: "Add the Docker, etc"
      expanded: true
      selected: true
      subgroups:

        - name: "QEMU (base_and_developer_edition) (full netinstall)"
          description: "Add the Docker, etc"
          selected: true
          packages:
            - qemu-desktop
            - virt-manager
            - virt-viewer
            - edk2-shell
            - virt-firmware
            - bridge-utils
            - udiskie
            - udisks2
            - networkmanager
            - firewalld

        - name: "Docker (base_and_developer_edition) (full netinstall)"
          description: "Add the Docker, etc"
          selected: true
          packages:
            - docker
            - docker-compose
            - docker-machine
            - docker-buildx
            - bridge-utils
            - udiskie
            - udisks2
            - networkmanager
            - firewalld

        - name: "Portainer (full netinstall)"
          description: "Add the Docker, etc"
          selected: false
          packages:
            - portainer-bin
            - udiskie
            - udisks2
            - networkmanager
            - firewalld

        - name: "Containers (full netinstall)"
          description: "Add the Docker, etc"
          selected: false
          packages:
            - podman
            - podman-dnsname
            - podman-compose
            - podman-docker
            - buildah
            - cni-plugins
            - netavark
            - fuse-overlayfs
            - udiskie
            - udisks2
            - networkmanager
            - firewalld

        - name: "VirtualBox (full netinstall)"
          description: "Add the Docker, etc"
          selected: false
          packages:
            - virtualbox
            - virtualbox-host-dkms
            - virtualbox-host-modules-arch

        - name: "Vagrant (full netinstall)"
          description: "Add the Docker, etc"
          selected: false
          packages:
            - vagrant
            - udiskie
            - udisks2
            - networkmanager
            - firewalld

    - name: "Cockpit (full netinstall)"
      description: "Admin panel"
      selected: false
      packages:
        - cockpit
        - cockpit-machines
        - cockpit-pcp
        - cockpit-podman
        - cockpit-storaged
        - udiskie
        - udisks2
        - networkmanager
        - firewalld

    - name: "Support (base_system) (base_and_developer_edition) (full netinstall)"
      description: "Packages for other support"
      selected: true
      packages:
        - input-devices-support
        - laptop-detect

- name: "GPU drivers"
  description: "Recommended. Don't change unless you know what you're doing."
  expanded: true
  selected: true
  critical: true
  subgroups:

    - name: "Intel drivers (base_system) (base_and_developer_edition) (full netinstall)"
      description: "Graphics hardware drivers"
      selected: true
      packages:
        - libva-intel-driver
        - libva-utils

    - name: "AMD drivers AMDGPU (base_system) (base_and_developer_edition) (full netinstall)"
      description: "Graphics hardware drivers"
      selected: true
      packages:
        - xf86-video-amdgpu

    - name: "AMD drivers ATI (manual choice)"
      description: "Graphics hardware drivers"
      selected: false
      packages:
        - xf86-video-ati

    - name: "NVIDIA drivers - Latest (202X) (base_system) (base_and_developer_edition) (full netinstall)"
      description: "NVIDIA graphics hardware drivers: GeForce GTX TITAN X - NVIDIA GeForce RTX X090"
      selected: true
      packages:
        - nvidia-dkms
        - nvidia-settings
        - nvidia-utils
        - opencl-nvidia

    - name: "NVIDIA drivers - 525 (2023) (manual choice)"
      description: "NVIDIA graphics hardware drivers: NVS 810 - NVIDIA RTX 6000 Ada Generation"
      selected: false
      packages:
        - nvidia-525xx-dkms
        - nvidia-525xx-settings
        - nvidia-525xx-utils

    - name: "NVIDIA drivers - 470 (2021) (manual choice)"
      description: "NVIDIA graphics hardware drivers: NVS 510 - NVIDIA RTX A6000"
      selected: false
      packages:
        - nvidia-470xx-dkms
        - nvidia-470xx-settings
        - nvidia-470xx-utils

    - name: "NVIDIA drivers - 390 (2018) (manual choice)"
      description: "NVIDIA graphics hardware drivers: GeForce GTX TITAN Z - GeForce GTX 1080 Ti)"
      selected: false
      packages:
        - nvidia-390-settings
        - nvidia-390xx-dkms
        - nvidia-390xx-utils

    - name: "NVIDIA drivers - 340 (2014) (manual choice)"
      description: "NVIDIA graphics hardware drivers: GeForce 8200M - GeForce GTX 880M"
      selected: false
      packages:
        - nvidia-340xx-dkms
        - nvidia-340xx-settings
        - nvidia-340xx-utils

- name: "Additional packages"
  description: "Additional packages"
  expanded: true
  selected: false
  subgroups:

  - name: "Kernel in addition (manual choice)"
    description: "Adding kernel in addition to main one"
    selected: false
    critical: true
    packages:
      - linux-lts
      - linux-lts-headers

      - linux
      - linux-headers

      - linux-hardened
      - linux-hardened-headers

      - linux-lqx
      - linux-lqx-headers

      - linux-xanmod-lts
      - linux-xanmod-lts-headers

      - linux-xanmod
      - linux-xanmod-headers

      - linux-xanmod-anbox
      - linux-xanmod-anbox-headers

      - linux-zen
      - linux-zen-headers

  - name: "Desktop terminal (manual choice)"
    description: "Add the desktop applications"
    selected: false
    packages:
      - alacritty
      - alacritty-themes
      - kitty
      - kitty-shell-integration
      - kitty-terminfo

  - name: "Terminal applications (manual choice)"
    description: "General terminal tools and applications"
    selected: false
    packages:
      - browsh
      - elinks
      - links
      - w3m
      - glances
      - micro
      - xterm

  - name: "Media players"
    description: "Add the audio players"
    selected: false
    packages:
      - haruna
      - mpv

  - name: "Package management (manual choice)"
    description: "Packages tools"
    selected: false
    packages:
      - discover
      - octopi
      - octopi-notifier-frameworks

- name: "Accessibility Tools (manual choice)"
  description: "Screen reader and mouse tweaks (impaired vision)"
  selected: true
  critical: true
  packages:
    - brltty
    - espeak-ng
    - imwheel
    - mousetweaks
    - orca
